Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 457856 - update dependson and blocked on several bugs not available in 3.2
Summary: update dependson and blocked on several bugs not available in 3.2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs
Version: 3.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-05 01:44 UTC by Noura El hawary
Modified: 2013-06-24 04:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-07 17:12:54 UTC


Attachments (Terms of Use)
Patch to add ability to edit dependencies on multi-edit bug form (v1) (3.52 KB, patch)
2008-08-06 20:05 UTC, David Lawrence
nelhawar: review+
Details | Diff

Description Noura El hawary 2008-08-05 01:44:30 UTC
Updating dependson and blocked on several bugs was available in our rhbz 2.18 but it is not available in 3.2, we need to have this feature and also there is a request for it upstream.

Comment 1 David Lawrence 2008-08-06 20:05:29 UTC
Created attachment 313631 [details]
Patch to add ability to edit dependencies on multi-edit bug form (v1)

Patch to add the ability to edit dependencies using the multi-edit bug form. This works currently only for web UI since we don't support multi edit in xmlrpc.cgi anyway. The user can select either add or remove the listed bug ids.

I have tested this on bz-web2-test successfully but could use some more testing.

Please review
Dave

Comment 2 Noura El hawary 2008-08-07 15:01:51 UTC
Comment on attachment 313631 [details]
Patch to add ability to edit dependencies on multi-edit bug form (v1)

Hey Dave,
The patch looks great and works perfect.

Noura

Comment 3 David Lawrence 2008-08-07 17:12:54 UTC
Added to CVS and will be in the next planned update.

Dave


Note You need to log in before you can comment on or make changes to this bug.